<%@ page contentType="text/html; charset=Shift_JIS" %>
<%@ page import="trail.injection.*,
                 java.text.NumberFormat,
                 javax.naming.InitialContext"%>

<%!
  private RecordManager rm = null;
  public void jspInit () {
    try {
      InitialContext ctx = new InitialContext();
      rm = (RecordManager) ctx.lookup(
              "EJB3Trail/RecordManagerBean/local");
    } catch (Exception e) {
      e.printStackTrace ();
    }
  }
%>

<%
  long sent = Long.parseLong(request.getParameter ("sent"));
  CalculationRecord rc = rm.getRecord(sent);
  if (rc == null) {
%>

<html>
<head><meta http-equiv="REFRESH" content="3;
                URL=check.jsp?sent=<%=sent%>"></head>
  <body>
    しばらくお待ちください。メッセージが届いているか確認中です。<br/>
    <a href="calculator.jsp">計算プログラムに戻る</a>
  </body>
</html>

<%
    return;
  } else {
    NumberFormat nf = NumberFormat.getInstance();
    nf.setMaximumFractionDigits(2);
%>

<html>
  <body>
    メッセージは<br/>
      <b><%=rc.sent%></b>に送信されました。<br/><br/>
    メッセージは<br/>
      <b><%=rc.processed%></b>に処理されました。<br/><br/>
    計算結果（合計投資額）は
      <b><%=nf.format(rc.result)%></b>です。<br/>

    <a href="calculator.jsp">計算プログラムに戻る</a>

  </body>
</html>

<%
    return;
  }
%>